/*==============================================================================*/
/*  Copyright (C) 2009-2016, Heartland Data inc. All Rights Reserved.           */
/*                                                                              */
/*  Title  :   Android Framework SDIF Driver                                    */
/*  EventID:   Via the driver                                                   */
/*  AppVer :   DT10 Ver10.XX`@                                                */
/*  FileID :   41b                                                              */
/*  Version:   2.2                                                              */
/*  Author :   HLDC                                                             */
/*==============================================================================*/
package android.util;

public class DtTestPointDriver {
    //-------------------------------------------------------------------------
    //  DynamicTracar MaskCode
    //-------------------------------------------------------------------------
    static public final int DT_VARIABLE_BIT	=	0x02;	/* Memory Dump MASK */

    static native final void TPBusOut(int nAddress, int nData);
    static native final void TPMemoryOutput(int nAddress, int nData, byte theValue, int size);
    static native final void TPMemoryOutput(int nAddress, int nData, char theValue, int size);
    static native final void TPMemoryOutput(int nAddress, int nData, short theValue, int size);
    static native final void TPMemoryOutput(int nAddress, int nData, int theValue, int size);
    static native final void TPMemoryOutput(int nAddress, int nData, long theValue, int size);
    static native final void TPMemoryOutput(int nAddress, int nData, boolean theValue, int size);
    static native final void TPMemoryOutput(int nAddress, int nData, byte[] theValue, int size, int nLength);
    static native final void TPMemoryOutput(int nAddress, int nData, char[] theValue, int size, int nLength);
    static native final void TPMemoryOutput(int nAddress, int nData, short[] theValue, int size, int nLength);
    static native final void TPMemoryOutput(int nAddress, int nData, int[] theValue, int size, int nLength);
    static native final void TPMemoryOutput(int nAddress, int nData, long[] theValue, int size, int nLength);
    static native final void TPMemoryOutput(int nAddress, int nData, boolean[] theValue, int size, int nLength);

    //-------------------------------------------------------------------------
    //  TestPoint InsertCode Method
    //-------------------------------------------------------------------------
    /* Normal TestPoint Method */
    static public final void DtTestPoint(int nBaseAddress, int nStepNumber){
    	TPBusOut( nBaseAddress, nStepNumber);
    }

    /* MemoryOutput TestPoint Method */
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, byte theValue, int nLength){
        /* Call DynamicTracerDriver */
    	TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 1);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, char theValue, int nLength){
        /* Call DynamicTracerDriver */
    	TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 2);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, short theValue, int nLength){
        /* Call DynamicTracerDriver */
    	TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 2);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, int theValue, int nLength){
        /* Call DynamicTracerDriver */
    	TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 4);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, long theValue, int nLength){
        /* Call DynamicTracerDriver */
    	TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 8);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, boolean theValue, int nLength){
        /* Call DynamicTracerDriver */
    	TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 1);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, byte[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 1, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, char[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 2, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, short[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 2, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, int[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 4, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, long[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 8, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, boolean[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 1, nLength);
    }
}
